<?php

declare(strict_types=1);

namespace Qls\ServicePoints\Service;

use Qls\ServicePoints\Struct\ServicePoint;
use Shopware\Core\Checkout\Order\Aggregate\OrderAddress\OrderAddressEntity;

class OrderAddressService
{
    public function getServicePointFromCustomFields(OrderAddressEntity $orderAddressEntity): ?ServicePoint
    {
        if (!$customFields = $orderAddressEntity->getCustomFields()) {
            return null;
        }

        if (!in_array(ServicePoint::CODE, array_keys($customFields))) {
            return null;
        }

        return ServicePoint::fromArray($customFields);
    }
}
