<?php

declare(strict_types=1);

namespace Qls\ServicePoints\Service;

use Qls\ServicePoints\Struct\ServicePoint;
use Shopware\Core\Checkout\Order\OrderEntity;
use Shopware\Core\Framework\Context;
use Shopware\Core\Framework\DataAbstractionLayer\EntityRepository;

class OrderService
{
    private EntityRepository $orderRepository;

    public function __construct(EntityRepository $orderRepository)
    {
        $this->orderRepository = $orderRepository;
    }

    public function addServicePointToCustomFields(ServicePoint $servicePoint, OrderEntity $orderEntity, Context $context): void
    {
        $this->orderRepository->upsert([[
            'id' => $orderEntity->getId(),
            'customFields' => $servicePoint->toArray(),
        ]], $context);
    }
}
